import axipy
from axipy import view_manager, LegendView


def factoryObserverLegendView(name_observer):
    #observer= axipy.observer_manager.get(name_observer)
    observer=axipy.ObserverManager.get(name_observer)
    if observer is not None:
        return observer
    status_observer=False
    if isinstance(view_manager.active,LegendView):
        status_observer=True

    observer=axipy.ObserverManager.create(name_observer,status_observer)
    def changeActive():
        if isinstance(view_manager.active, LegendView):
            observer.value=True
        else:
            observer.value = False
    view_manager.active_changed.connect(changeActive)
    return observer

